Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.item
Class FNode

    java.lang.Object
      org.basex.query.xquery.expr.Expr
          org.basex.query.xquery.item.Item
              org.basex.query.xquery.item.Node
                  org.basex.query.xquery.item.FNode

Direct Known Subclasses:
  FAttr, FComm, FDoc, FElem, FPI, FTxt

    public abstract class FNode

extends Node

Node Type.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.xquery.expr.Expr
`type`

Method Summary
`NodeIter` | `anc()` Returns an ancestor axis iterator.
`NodeIter` | `ancOrSelf()` Returns an ancestor-or-self axis iterator.
`NodeIter` | `attr()` Returns an attribute axis iterator.
`NodeMore` | `child()` Returns a child axis iterator.
`NodeIter` | `desc()` Returns a descendant axis iterator.
`NodeIter` | `descOrSelf()` Returns a descendant-or-self axis iterator.
`NodeIter` | `foll()` Returns a following axis iterator.
`NodeIter` | `follSibl()` Returns a following-sibling axis iterator.
`NodeIter` | `par()` Returns a parent axis iterator.
`NodeIter` | `prec()` Returns a preceding axis iterator.
`NodeIter` | `precSibl()` Returns a preceding-sibling axis iterator.
`NodeIter` | `self()` Returns an self axis iterator.

Methods inherited from class org.basex.query.xquery.item.Node
`base, bool, copy, dbl, diff, diff, eq, finish, flt, is, itr, name, node, ns, parent, parent, qname, u`

Methods inherited from class org.basex.query.xquery.item.Item
`castErr, comp, eval, i, info, iter, serialize, serialize, size, toString`

Methods inherited from class org.basex.query.xquery.expr.Expr
`cls, d, e, n, s, str`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### anc

    public final NodeIter anc()

  Description copied from class: `Node`
  Returns an ancestor axis iterator.

  Specified by:
    `anc` in class `Node`
  Returns:
    iterator

### ancOrSelf

    public final NodeIter ancOrSelf()

  Description copied from class: `Node`
  Returns an ancestor-or-self axis iterator.

  Specified by:
    `ancOrSelf` in class `Node`
  Returns:
    iterator

### attr

    public final NodeIter attr()

  Description copied from class: `Node`
  Returns an attribute axis iterator.

  Specified by:
    `attr` in class `Node`
  Returns:
    iterator

### child

    public final NodeMore child()

  Description copied from class: `Node`
  Returns a child axis iterator.

  Specified by:
    `child` in class `Node`
  Returns:
    iterator

### desc

    public final NodeIter desc()

  Description copied from class: `Node`
  Returns a descendant axis iterator.

  Specified by:
    `desc` in class `Node`
  Returns:
    iterator

### descOrSelf

    public final NodeIter descOrSelf()

  Description copied from class: `Node`
  Returns a descendant-or-self axis iterator.

  Specified by:
    `descOrSelf` in class `Node`
  Returns:
    iterator

### foll

    public final NodeIter foll()

  Description copied from class: `Node`
  Returns a following axis iterator.

  Specified by:
    `foll` in class `Node`
  Returns:
    iterator

### follSibl

    public final NodeIter follSibl()

  Description copied from class: `Node`
  Returns a following-sibling axis iterator.

  Specified by:
    `follSibl` in class `Node`
  Returns:
    iterator

### par

    public final NodeIter par()

  Description copied from class: `Node`
  Returns a parent axis iterator.

  Specified by:
    `par` in class `Node`
  Returns:
    iterator

### prec

    public final NodeIter prec()

  Description copied from class: `Node`
  Returns a preceding axis iterator.

  Specified by:
    `prec` in class `Node`
  Returns:
    iterator

### precSibl

    public final NodeIter precSibl()

  Description copied from class: `Node`
  Returns a preceding-sibling axis iterator.

  Specified by:
    `precSibl` in class `Node`
  Returns:
    iterator

### self

    public final NodeIter self()

  Description copied from class: `Node`
  Returns an self axis iterator.

  Specified by:
    `self` in class `Node`
  Returns:
    iterator

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD